Bug 1369124 - fix unused variable warnings from out-of-tree builds generate XDR headers and source files i...
Summary: fix unused variable warnings from out-of-tree builds generate XDR headers and...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1330604 1377341
TreeView+ depends on / blocked
 
Reported: 2016-08-22 14:11 UTC by Kaleb KEITHLEY
Modified: 2017-03-06 17:22 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.10.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1330604
Environment:
Last Closed: 2017-03-04 07:50:07 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
build wlog with unused variable warnings (162.62 KB, text/plain)
2016-08-22 14:11 UTC, Kaleb KEITHLEY
no flags Details

Description Kaleb KEITHLEY 2016-08-22 14:11:26 UTC
Created attachment 1192946 [details]
build wlog with unused variable warnings

+++ This bug was initially created as a clone of Bug #1330604 +++

Description of problem:

the current xdrgen/rpcgen build adds pragmas to the rpc/xdr header files which "leak," masking a large number of warnings outside the rpc/xdr sources.

Once the pragma "leakage" is eliminated, then attempts to build will fail our smoke tests where compile warnings are treated as errors.

In order to be able to sumit http://review.gluster.org/14085 (for  https://bugzilla.redhat.com/show_bug.cgi?id=1330604) all those warnings need to be eliminated.

See attached compile log with the warnings. You won't actually see the warnings until http://review.gluster.org/14085 is applied.

Actual results:


Expected results:

Comment 1 Worker Ant 2016-08-22 16:21:57 UTC
REVIEW: http://review.gluster.org/15238 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 2 Worker Ant 2016-08-22 16:22:21 UTC
REVIEW: http://review.gluster.org/15239 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 3 Worker Ant 2016-08-22 16:22:42 UTC
REVIEW: http://review.gluster.org/15240 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 4 Worker Ant 2016-08-22 16:23:06 UTC
REVIEW: http://review.gluster.org/15241 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 5 Worker Ant 2016-08-22 16:23:22 UTC
REVIEW: http://review.gluster.org/15242 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 6 Worker Ant 2016-08-22 16:23:40 UTC
REVIEW: http://review.gluster.org/15243 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 7 Worker Ant 2016-08-22 16:23:58 UTC
REVIEW: http://review.gluster.org/15244 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 8 Worker Ant 2016-08-22 16:24:43 UTC
REVIEW: http://review.gluster.org/15245 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 9 Worker Ant 2016-08-22 16:25:02 UTC
REVIEW: http://review.gluster.org/15246 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 10 Worker Ant 2016-08-22 16:25:23 UTC
REVIEW: http://review.gluster.org/15247 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 11 Worker Ant 2016-08-22 16:25:39 UTC
REVIEW: http://review.gluster.org/15248 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 12 Worker Ant 2016-08-22 16:25:55 UTC
REVIEW: http://review.gluster.org/15249 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 13 Worker Ant 2016-08-22 16:27:02 UTC
REVIEW: http://review.gluster.org/15250 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 14 Worker Ant 2016-08-22 16:28:37 UTC
REVIEW: http://review.gluster.org/15251 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 15 Worker Ant 2016-08-22 16:28:57 UTC
REVIEW: http://review.gluster.org/15252 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 16 Worker Ant 2016-08-22 16:29:18 UTC
REVIEW: http://review.gluster.org/15253 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 17 Worker Ant 2016-08-22 16:29:35 UTC
REVIEW: http://review.gluster.org/15254 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 18 Worker Ant 2016-08-22 16:29:54 UTC
REVIEW: http://review.gluster.org/15255 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 19 Worker Ant 2016-08-22 16:30:10 UTC
REVIEW: http://review.gluster.org/15256 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 20 Worker Ant 2016-08-22 16:30:22 UTC
REVIEW: http://review.gluster.org/15257 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 21 Worker Ant 2016-08-22 16:32:39 UTC
REVIEW: http://review.gluster.org/15258 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 22 Worker Ant 2016-08-22 17:23:41 UTC
REVIEW: http://review.gluster.org/15260 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 23 Worker Ant 2016-08-22 17:24:02 UTC
REVIEW: http://review.gluster.org/15261 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 24 Worker Ant 2016-08-22 17:24:30 UTC
REVIEW: http://review.gluster.org/15262 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 25 Worker Ant 2016-08-22 17:24:44 UTC
REVIEW: http://review.gluster.org/15263 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 26 Worker Ant 2016-08-22 17:25:00 UTC
REVIEW: http://review.gluster.org/15264 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 27 Worker Ant 2016-08-22 17:25:12 UTC
REVIEW: http://review.gluster.org/15265 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 28 Worker Ant 2016-08-22 17:25:26 UTC
REVIEW: http://review.gluster.org/15266 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 29 Worker Ant 2016-08-22 17:25:39 UTC
REVIEW: http://review.gluster.org/15267 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 30 Worker Ant 2016-08-22 17:25:55 UTC
REVIEW: http://review.gluster.org/15268 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 31 Worker Ant 2016-08-22 17:26:08 UTC
REVIEW: http://review.gluster.org/15269 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 32 Worker Ant 2016-08-22 17:26:22 UTC
REVIEW: http://review.gluster.org/15270 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 33 Worker Ant 2016-08-22 17:26:36 UTC
REVIEW: http://review.gluster.org/15271 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 34 Worker Ant 2016-08-22 17:26:49 UTC
REVIEW: http://review.gluster.org/15272 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 35 Worker Ant 2016-08-22 17:27:01 UTC
REVIEW: http://review.gluster.org/15273 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 36 Worker Ant 2016-08-22 17:27:18 UTC
REVIEW: http://review.gluster.org/15274 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 37 Worker Ant 2016-08-22 17:27:31 UTC
REVIEW: http://review.gluster.org/15275 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 38 Worker Ant 2016-08-22 17:27:50 UTC
REVIEW: http://review.gluster.org/15276 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 39 Worker Ant 2016-08-22 17:28:04 UTC
REVIEW: http://review.gluster.org/15277 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 40 Worker Ant 2016-08-22 17:28:20 UTC
REVIEW: http://review.gluster.org/15278 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 41 Worker Ant 2016-08-22 17:28:36 UTC
REVIEW: http://review.gluster.org/15279 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 42 Worker Ant 2016-08-22 17:28:51 UTC
REVIEW: http://review.gluster.org/15280 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 43 Worker Ant 2016-08-22 17:29:04 UTC
REVIEW: http://review.gluster.org/15281 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 44 Worker Ant 2016-08-22 17:29:18 UTC
REVIEW: http://review.gluster.org/15282 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 45 Worker Ant 2016-08-22 17:29:32 UTC
REVIEW: http://review.gluster.org/15283 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 46 Worker Ant 2016-08-22 17:29:46 UTC
REVIEW: http://review.gluster.org/15284 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 47 Worker Ant 2016-08-22 17:30:03 UTC
REVIEW: http://review.gluster.org/15285 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 48 Worker Ant 2016-08-22 17:30:20 UTC
REVIEW: http://review.gluster.org/15286 (core: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 49 Worker Ant 2016-08-22 18:46:53 UTC
REVIEW: http://review.gluster.org/15253 (nfs: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 50 Worker Ant 2016-08-22 18:49:18 UTC
REVIEW: http://review.gluster.org/15286 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 51 Worker Ant 2016-08-22 18:50:35 UTC
REVIEW: http://review.gluster.org/15285 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 52 Worker Ant 2016-08-22 18:51:08 UTC
REVIEW: http://review.gluster.org/15284 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 53 Worker Ant 2016-08-22 18:52:14 UTC
REVIEW: http://review.gluster.org/15283 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 54 Worker Ant 2016-08-22 18:54:27 UTC
REVIEW: http://review.gluster.org/15282 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 55 Worker Ant 2016-08-22 18:54:59 UTC
REVIEW: http://review.gluster.org/15281 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 56 Worker Ant 2016-08-22 18:55:50 UTC
REVIEW: http://review.gluster.org/15280 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 57 Worker Ant 2016-08-22 18:56:31 UTC
REVIEW: http://review.gluster.org/15279 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 58 Worker Ant 2016-08-22 18:57:17 UTC
REVIEW: http://review.gluster.org/15278 (snapshot: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 59 Worker Ant 2016-08-22 18:57:55 UTC
REVIEW: http://review.gluster.org/15277 (snapshot: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 60 Worker Ant 2016-08-23 07:45:56 UTC
COMMIT: http://review.gluster.org/15253 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 99e2438a1f42abdac316ae0f92497329733a20f3
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:15:04 2016 -0400

    nfs: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I0e872a8025c3b1b5e2aa15d8fe66248e2fd96bf1
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15253
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 61 Worker Ant 2016-08-23 07:47:18 UTC
REVIEW: http://review.gluster.org/15241 (afr: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 62 Worker Ant 2016-08-23 07:48:23 UTC
REVIEW: http://review.gluster.org/15258 (shard: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 63 Worker Ant 2016-08-23 07:52:25 UTC
REVIEW: http://review.gluster.org/15252 (upcall: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 64 Worker Ant 2016-08-23 10:46:34 UTC
REVIEW: http://review.gluster.org/15247 (index: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 65 Worker Ant 2016-08-23 11:39:50 UTC
REVIEW: http://review.gluster.org/15256 (bd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 66 Worker Ant 2016-08-23 11:52:59 UTC
REVIEW: http://review.gluster.org/15257 (posix: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 67 Worker Ant 2016-08-23 12:04:18 UTC
REVIEW: http://review.gluster.org/15262 (ganesha: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 68 Worker Ant 2016-08-23 12:06:50 UTC
REVIEW: http://review.gluster.org/15242 (dht/tiering: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 69 Worker Ant 2016-08-23 12:09:02 UTC
REVIEW: http://review.gluster.org/15239 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 70 Worker Ant 2016-08-23 12:11:31 UTC
REVIEW: http://review.gluster.org/15244 (jbr: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 71 Worker Ant 2016-08-23 12:12:14 UTC
REVIEW: http://review.gluster.org/15245 (bit-rot: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 72 Worker Ant 2016-08-23 12:13:25 UTC
REVIEW: http://review.gluster.org/15255 (protocol/server: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 73 Worker Ant 2016-08-23 12:14:12 UTC
REVIEW: http://review.gluster.org/15251 (snapshot: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 74 Worker Ant 2016-08-23 12:15:14 UTC
REVIEW: http://review.gluster.org/15261 (glusterd: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 75 Worker Ant 2016-08-23 18:02:00 UTC
REVIEW: http://review.gluster.org/15255 (protocol/server: fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 76 Worker Ant 2016-08-24 13:42:31 UTC
REVIEW: http://review.gluster.org/15263 (glusterd (geo-rep): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 77 Worker Ant 2016-08-24 15:39:25 UTC
REVIEW: http://review.gluster.org/15276 (glusterd (server-quorum): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 78 Worker Ant 2016-08-24 16:41:26 UTC
REVIEW: http://review.gluster.org/15265 (glusterd (handler): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 79 Worker Ant 2016-08-24 16:57:54 UTC
REVIEW: http://review.gluster.org/15238 (cli: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 80 Worker Ant 2016-08-25 11:44:38 UTC
REVIEW: http://review.gluster.org/15240 (rpc: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 81 Worker Ant 2016-08-25 11:59:43 UTC
REVIEW: http://review.gluster.org/15250 (quota: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 82 Worker Ant 2016-08-25 12:01:10 UTC
REVIEW: http://review.gluster.org/15254 (protocol/client: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 83 Worker Ant 2016-08-25 12:03:11 UTC
REVIEW: http://review.gluster.org/15260 (glusterd/bitd-svc: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 84 Worker Ant 2016-08-25 12:03:55 UTC
REVIEW: http://review.gluster.org/15264 (glusterd (store): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 85 Worker Ant 2016-08-25 12:04:51 UTC
REVIEW: http://review.gluster.org/15266 (glusterd (handshake): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 86 Worker Ant 2016-08-25 12:05:22 UTC
REVIEW: http://review.gluster.org/15267 (glusterd (hooks): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 87 Worker Ant 2016-08-25 12:05:57 UTC
REVIEW: http://review.gluster.org/15268 (glusterd (mgmt): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 88 Worker Ant 2016-08-25 12:06:36 UTC
REVIEW: http://review.gluster.org/15269 (glusterd (op-sm): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 89 Worker Ant 2016-08-25 12:07:11 UTC
REVIEW: http://review.gluster.org/15270 (glusterd (peer-utils): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 90 Worker Ant 2016-08-25 12:07:37 UTC
REVIEW: http://review.gluster.org/15271 (glusterd (quota): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 91 Worker Ant 2016-08-25 12:08:27 UTC
REVIEW: http://review.gluster.org/15272 (glusterd (quotad-svc): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 92 Worker Ant 2016-08-25 12:09:03 UTC
REVIEW: http://review.gluster.org/15273 (glusterd (rebalance): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 93 Worker Ant 2016-08-25 12:09:50 UTC
REVIEW: http://review.gluster.org/15274 (glusterd (replace-brick): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 94 Worker Ant 2016-08-25 12:10:40 UTC
REVIEW: http://review.gluster.org/15275 (glusterd (rpc-ops): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 95 Worker Ant 2016-08-25 12:11:25 UTC
REVIEW: http://review.gluster.org/15277 (glusterd (snapshot-utils): fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 96 Worker Ant 2016-08-25 12:11:36 UTC
COMMIT: http://review.gluster.org/15252 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit afabb66f36b75db4d5aee46e694990b63f454133
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:14:33 2016 -0400

    upcall: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I887aa033f00ab67f73c7d7a7f1b3054d43bffc49
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15252
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 97 Worker Ant 2016-08-25 12:12:21 UTC
REVIEW: http://review.gluster.org/15278 (glusterd (snapshot): fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 98 Worker Ant 2016-08-25 12:12:55 UTC
REVIEW: http://review.gluster.org/15279 (glusterd (statedump): fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 99 Worker Ant 2016-08-25 12:13:22 UTC
REVIEW: http://review.gluster.org/15280 (glusterd (utils): fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 100 Worker Ant 2016-08-25 12:13:54 UTC
REVIEW: http://review.gluster.org/15281 (glusterd (syncop): fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 101 Worker Ant 2016-08-25 12:23:19 UTC
REVIEW: http://review.gluster.org/15260 (glusterd (bitd-svc): fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 102 Worker Ant 2016-08-25 12:37:59 UTC
COMMIT: http://review.gluster.org/15248 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 6aeff261a18de1b47553f4d5c6efe5c2e86f60a2
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    core: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I866d811e448067405af5b797eb9914c9c5e855cb
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15248
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Poornima G <pgurusid@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 103 Worker Ant 2016-08-25 13:42:45 UTC
REVIEW: http://review.gluster.org/15251 (snapview-server: fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 104 Worker Ant 2016-08-25 14:17:50 UTC
REVIEW: http://review.gluster.org/15262 (core: fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 105 Worker Ant 2016-08-25 14:22:36 UTC
REVIEW: http://review.gluster.org/15262 (glusterd (ganesha): fix unused variable warnings/errors) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 106 Worker Ant 2016-08-26 06:26:02 UTC
COMMIT: http://review.gluster.org/15281 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit eed005649dabc35234cc217b89fbee92aeea0ba9
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (syncop): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I40da2a344be3da4bda2370b1ae1eb77dc00b033e
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15281
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 107 Worker Ant 2016-08-26 06:30:40 UTC
COMMIT: http://review.gluster.org/15279 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 6a22b7d856d63159c7e3a7d2a25e5589708b89bf
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (statedump): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I92970f7b7c2a881ba5678dbf1f0bd2bf6c68f4db
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15279
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 108 Worker Ant 2016-08-26 06:31:36 UTC
COMMIT: http://review.gluster.org/15275 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 40e6580ec90b249a34e3a99ad53c5861edb15aad
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (rpc-ops): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I65e6f8cdae150a796da485d9840838c4306b623b
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15275
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 109 Worker Ant 2016-08-26 06:32:13 UTC
COMMIT: http://review.gluster.org/15272 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 12a3733fe82cb6e9e9704c80e75fa5efd56c3144
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (quotad-svc): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I186bdee9f7f72251f552a95a0c08a9be9aec7c83
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15272
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 110 Worker Ant 2016-08-26 06:33:52 UTC
COMMIT: http://review.gluster.org/15268 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit b40893d1bb4c626cb89cd86a1ec301459be5f991
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (mgmt): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ia98f2934b179145398895600a3f34dbff841c3bd
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15268
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 111 Worker Ant 2016-08-26 08:56:28 UTC
COMMIT: http://review.gluster.org/15261 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit ca2c94bfcf96c44abb7168a9cb9c99a40e566280
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I212abb47d9f35922b3f8253137ebab6841a53eed
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15261
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 112 Worker Ant 2016-08-26 11:09:28 UTC
REVIEW: http://review.gluster.org/15280 (glusterd (utils): fix unused variable warnings/errors) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 113 Worker Ant 2016-08-26 11:18:28 UTC
REVIEW: http://review.gluster.org/15276 (glusterd (server-quorum): fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 114 Worker Ant 2016-08-27 11:10:39 UTC
COMMIT: http://review.gluster.org/15250 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 225d8034354a233bbb9f1c6fd86b40562efd0ae9
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    quota: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ic5c1e20468d47ccb5243b8e99f946fd31eb737b8
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15250
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 115 Worker Ant 2016-08-27 11:17:53 UTC
COMMIT: http://review.gluster.org/15255 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit be93ca2b9f3f1bb5d38b0fd306c19c4b3d0923f7
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:15:14 2016 -0400

    protocol/server: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I5a48055c4b0a4a07dd511ad4f2e9ef823b9c60b2
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15255
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 116 Worker Ant 2016-08-27 13:38:45 UTC
COMMIT: http://review.gluster.org/15286 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 75a1f70c2ec8f1b653622400d2c1cb8e5710b4c2
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Id3577872ef720787796f7bfe6772734a3b26fef0
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15286
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 117 Worker Ant 2016-08-27 13:42:36 UTC
COMMIT: http://review.gluster.org/15239 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit e80ada68059037282a32d296fffed18e01f836a0
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    glusterd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ib37642dc8d35dd1065398fc53c97de65869d5681
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15239
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: mohammed rafi  kc <rkavunga@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 118 Worker Ant 2016-08-28 04:27:22 UTC
COMMIT: http://review.gluster.org/15238 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a5212486efb94583fde62b575508a945cdfb66e2
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    cli: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ifc33762cf62259961ceb35ae9ac3cbec7094b703
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15238
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    Reviewed-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 119 Worker Ant 2016-08-29 12:00:26 UTC
COMMIT: http://review.gluster.org/15244 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 589a2c296ba8a778352ea54fd3d0fe02a573f053
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    jbr: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I68c210f3bcc0f7754a89095c0d1408d57d5bd4a2
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15244
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 120 Worker Ant 2016-08-29 12:00:53 UTC
COMMIT: http://review.gluster.org/15240 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 00ee35093917f57b97b523decee9c58050d35d32
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    rpc: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I20d91091bee0bf8f198a307ebba4b284bc3817ff
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15240
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>

Comment 121 Worker Ant 2016-08-29 12:04:32 UTC
COMMIT: http://review.gluster.org/15243 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 494d310a78fb423559d520040eebd8f091d3e529
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    core: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I16e55ad7afbddaee0d0e30acf1480e42adf96da4
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15243
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Poornima G <pgurusid@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 122 Worker Ant 2016-08-29 13:12:52 UTC
COMMIT: http://review.gluster.org/15271 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 2a3de9c61745afa786fd961ab70424b8f81a2599
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (quota): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Id1bc618261a73d91847f65cb790109fda9e77c65
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15271
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-by: Manikandan Selvaganesh <mselvaga@redhat.com>

Comment 123 Worker Ant 2016-08-29 15:14:50 UTC
COMMIT: http://review.gluster.org/15258 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit b25299b74389bfaef45a3b9034a0cad628c2a342
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:31:28 2016 -0400

    shard: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I3e53f12371b002d7f2fe2e281b63794c7769f823
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15258
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 124 Worker Ant 2016-08-29 15:18:05 UTC
COMMIT: http://review.gluster.org/15264 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit b199e81f5e07f89252ecc646546a58f8541b5f9a
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd (store): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I9de669261b91e89a719997b54adeea893f8c3bee
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15264
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 125 Worker Ant 2016-08-29 15:20:16 UTC
COMMIT: http://review.gluster.org/15262 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit a4a48b4423a8ff21b39ed231d91cc27f74ff80f6
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd (ganesha): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I8496b0d1158aeac88cdee991e40c5bb1705f1c09
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15262
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: soumya k <skoduri@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 126 Worker Ant 2016-08-29 16:21:27 UTC
COMMIT: http://review.gluster.org/15241 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 5751f294fc8c6ea256fc5a842c7a6eef14d35fd3
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    afr: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I98e3308a2548ae095048caa99c86edec15b5e782
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15241
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 127 Worker Ant 2016-08-29 16:21:46 UTC
COMMIT: http://review.gluster.org/15245 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 4640061a357632258541141163764314993e40ca
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    bit-rot: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I566fcbcae5aec575bfca40975b941c53546d4d97
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15245
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>

Comment 128 Worker Ant 2016-08-29 16:22:02 UTC
COMMIT: http://review.gluster.org/15246 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit ae2ddb59381c37d79b4f1ce13028f02e9fffea47
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    core: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I3d8a7a3de35058aa97eab59d3f59208396298b03
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15246
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>

Comment 129 Worker Ant 2016-08-29 16:24:07 UTC
COMMIT: http://review.gluster.org/15249 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit e2e93882b0441c46d63ca78e56331abdd42d80cc
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    core: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Id9bf5732f8c94824769409f7895be9dbe6fbd5fa
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15249
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Susant Palai <spalai@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 130 Worker Ant 2016-08-29 16:28:03 UTC
COMMIT: http://review.gluster.org/15260 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit d2d6b327e5fff7a47cdd54c61493e7dddd7f557c
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd (bitd-svc): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I1a96cd72fce6b109769f11f17b625fe152298888
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15260
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 131 Worker Ant 2016-08-29 16:28:45 UTC
COMMIT: http://review.gluster.org/15266 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit d27b23576ba584942239b2432c792d4ff398b7fc
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd (handshake): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I25b40c89d883d088e4aaba87ce0bf235a09a27da
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15266
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: soumya k <skoduri@redhat.com>
    Reviewed-by: Manikandan Selvaganesh <mselvaga@redhat.com>

Comment 132 Worker Ant 2016-08-29 16:29:00 UTC
COMMIT: http://review.gluster.org/15267 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 4af92dbe71b2ddbcf989fd8d59d93c17e6879311
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd (hooks): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I401090b0c51c90cf148c75756408c70ccee6a5e6
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15267
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 133 Worker Ant 2016-08-29 16:31:58 UTC
COMMIT: http://review.gluster.org/15270 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 3bfb64d272f6dc83f39f1c7b94f768497435a816
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (peer-utils): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I99e818d71e72aaa2dfb629f00a5245365f582b99
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15270
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 134 Worker Ant 2016-08-29 16:32:11 UTC
COMMIT: http://review.gluster.org/15273 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit fb6c3540c14690d4e62e0f32cc08a0d744c4b843
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (rebalance): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I136cf4c1d318f98933f3bfed81e2de3da0f56abc
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15273
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 135 Worker Ant 2016-08-29 16:32:26 UTC
COMMIT: http://review.gluster.org/15274 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 2740279cc66e03572aa3f1f47d18d1d708704d71
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (replace-brick): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I58aede09a2f2c65a438188d7319ad7a61395e7a9
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15274
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 136 Worker Ant 2016-08-29 16:35:31 UTC
COMMIT: http://review.gluster.org/15277 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 2c13e7e04711ef6da55e7616f064f801a41cc46d
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (snapshot-utils): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I5d3372de16a1e03a6391885434ffea84f6a00412
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15277
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 137 Worker Ant 2016-08-29 16:35:56 UTC
COMMIT: http://review.gluster.org/15283 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 55d70915665a73e951acc505a82a1ddee00609c8
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ibe060202efb1f175a4348ff0927a7b44303d96e6
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15283
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 138 Worker Ant 2016-08-29 16:36:29 UTC
COMMIT: http://review.gluster.org/15284 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 253a6b2ae8c4d12c76a89635e89e99f40b9de08d
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I4ce4ec8073c1da4ea60bf5488b3f57c91c4cffa6
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15284
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>

Comment 139 Worker Ant 2016-08-29 16:36:56 UTC
COMMIT: http://review.gluster.org/15285 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit b231acedb8696ef298a405ffedd36dba8a7183be
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Id6f7555e35fd2bc37e8b9f81ac37d5384624501c
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15285
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 140 Worker Ant 2016-08-29 17:30:56 UTC
COMMIT: http://review.gluster.org/15257 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit c204f452dfd9907a0d32f35294a0805701a6d993
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:15:22 2016 -0400

    posix: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ibb3057cc072097434350c1dd2139b18610295825
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15257
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 141 Worker Ant 2016-08-29 18:24:28 UTC
REVIEW: http://review.gluster.org/15338 (protocol/client (no 1): fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 142 Worker Ant 2016-08-29 18:27:49 UTC
REVIEW: http://review.gluster.org/15340 (protocol/client (no 3): fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 143 Worker Ant 2016-08-29 20:42:00 UTC
REVIEW: http://review.gluster.org/15339 (protocol/client (no 2): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 144 Worker Ant 2016-08-30 13:47:06 UTC
REVIEW: http://review.gluster.org/15356 (protocol/client (no 4): fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 145 Worker Ant 2016-08-30 13:47:23 UTC
REVIEW: http://review.gluster.org/15357 (protocol/client (no 5): fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 146 Worker Ant 2016-08-30 18:45:08 UTC
COMMIT: http://review.gluster.org/15242 committed in master by Dan Lambright (dlambrig@redhat.com) 
------
commit 68cc90552b7109ee8d740decc33d65cfdfe0bf81
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    dht/tiering: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I367a737570dd7d2f6cc25f4bf4299d31bb6826aa
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15242
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-by: Dan Lambright <dlambrig@redhat.com>

Comment 147 Worker Ant 2016-08-31 02:27:44 UTC
COMMIT: http://review.gluster.org/15269 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit e2b3fd30572ec8ca381540bd6b23b9ef3ae41ac5
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (op-sm): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I6c1474547586b5e43f30545872ec512cdd32dac2
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15269
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>

Comment 148 Worker Ant 2016-08-31 13:41:55 UTC
REVIEW: http://review.gluster.org/15356 (protocol/client (no 4): fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 149 Worker Ant 2016-09-01 11:51:52 UTC
REVIEW: http://review.gluster.org/15278 (core: fix unused variable warnings/errors) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 150 Worker Ant 2016-09-01 11:52:51 UTC
REVIEW: http://review.gluster.org/15278 (glusterd (snapshot): fix unused variable warnings/errors) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 151 Worker Ant 2016-09-01 12:19:51 UTC
REVIEW: http://review.gluster.org/15276 (glusterd (server-quorum): fix unused variable warnings/errors) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 152 Worker Ant 2016-09-01 12:27:42 UTC
REVIEW: http://review.gluster.org/15276 (glusterd (server-quorum): fix unused variable warnings/errors) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 153 Worker Ant 2016-09-04 19:09:49 UTC
REVIEW: http://review.gluster.org/15276 (glusterd (server-quorum): fix unused variable warnings/errors) posted (#6) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 154 Worker Ant 2016-09-04 19:10:10 UTC
REVIEW: http://review.gluster.org/15278 (glusterd (snapshot): fix unused variable warnings/errors) posted (#6) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 155 Worker Ant 2016-09-05 01:50:51 UTC
REVIEW: http://review.gluster.org/15278 (glusterd (snapshot): fix unused variable warnings/errors) posted (#7) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 156 Worker Ant 2016-09-05 10:48:58 UTC
REVIEW: http://review.gluster.org/15356 (protocol/client (no 4): fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 157 Worker Ant 2016-09-05 11:05:17 UTC
COMMIT: http://review.gluster.org/15338 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 17be5486151a65947bc6cbd2cfaa39fcd0af50a1
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 29 14:22:42 2016 -0400

    protocol/client (no 1): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I8a24e3c02144860859d653ab7115895fb3066378
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15338
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 158 Worker Ant 2016-09-05 11:11:40 UTC
COMMIT: http://review.gluster.org/15339 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 02c828f54a693abf1521aa9b889289b25a463b4f
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 29 14:24:48 2016 -0400

    protocol/client (no 2): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I54055b3b1038374b4e21432da48fdaeca2938289
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15339
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Anuradha Talur <atalur@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 159 Worker Ant 2016-09-05 11:13:38 UTC
COMMIT: http://review.gluster.org/15357 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 6289a0a0f0ec855a1971fdf4954d81645111e2f0
Author: Kaleb S. KEITHLEY <kkeithle@linux.keithley.org>
Date:   Tue Aug 30 09:46:00 2016 -0400

    protocol/client (no 5): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: Ic209b1291927c56f009544eadebdc51ba5f77475
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@linux.keithley.org>
    Reviewed-on: http://review.gluster.org/15357
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Tested-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 160 Worker Ant 2016-09-05 13:08:13 UTC
COMMIT: http://review.gluster.org/15276 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit c67386e1e8edcbdf2f8dca06fc7984df2adb1f06
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (server-quorum): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I53961a9ddbba824ea3cfa00abbba20109da5de89
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15276
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 161 Worker Ant 2016-09-12 06:40:51 UTC
REVIEW: http://review.gluster.org/15280 (glusterd (utils): fix unused variable warnings/errors) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 162 Worker Ant 2016-09-12 11:52:20 UTC
COMMIT: http://review.gluster.org/15280 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 8ab0b25f4ee7ae207c9796b51b91c7fca6f47779
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (utils): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I3efaad13cc4cbba7853ada20e838b6fe417ca2d6
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15280
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 163 Worker Ant 2016-09-12 15:46:38 UTC
COMMIT: http://review.gluster.org/15256 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 89236bdb61f99682b794278286ca6b319516c446
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:15:18 2016 -0400

    bd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ia242a51ce153ee3a866a4c7f05a1389841b2bb54
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15256
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 164 Worker Ant 2016-09-12 15:46:53 UTC
COMMIT: http://review.gluster.org/15356 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 5cd7ec1372e119cc037b2182287ca7eb165e9e89
Author: Kaleb S. KEITHLEY <kkeithle@linux.keithley.org>
Date:   Tue Aug 30 09:44:39 2016 -0400

    protocol/client (no 4): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I7edef3c060b798fcb81d881caa04b346cef7a131
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@linux.keithley.org>
    Reviewed-on: http://review.gluster.org/15356
    Tested-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Poornima G <pgurusid@redhat.com>

Comment 165 Worker Ant 2016-09-12 16:19:49 UTC
COMMIT: http://review.gluster.org/15251 committed in master by Rajesh Joseph (rjoseph@redhat.com) 
------
commit 7c5220a138c0add5f245254a555c97b2f1a4df2f
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:12:12 2016 -0400

    snapview-server: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I74cf7adf943f71e0de8d8f487db3cd2394ce16e8
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15251
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>

Comment 166 Worker Ant 2016-09-12 16:21:37 UTC
COMMIT: http://review.gluster.org/15278 committed in master by Rajesh Joseph (rjoseph@redhat.com) 
------
commit 68fa57534a5e19d15278cd570eec049a06348232
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd (snapshot): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I359145d9e726b0fae78cac8003b57c216780cbba
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15278
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>

Comment 167 Worker Ant 2016-09-13 04:01:29 UTC
COMMIT: http://review.gluster.org/15247 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 57a65381282160f414ce59133007374f14337f9c
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 12:11:24 2016 -0400

    index: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ibbc34782fdbffb7d9deaf454ebe946d04696035e
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15247
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 168 Worker Ant 2016-09-13 06:06:42 UTC
COMMIT: http://review.gluster.org/15263 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 4903dbaffd1c1ee99889a3f21ac83950cc9a1c4e
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd (geo-rep): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: I2edacd3d0f3924b1be0f0398ba9ac076459c5a61
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15263
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Saravanakumar Arumugam <sarumuga@redhat.com>

Comment 169 Worker Ant 2016-09-13 06:07:04 UTC
COMMIT: http://review.gluster.org/15265 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 543ca6a3f8096c64ac7da9087c47bb86775fd132
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:02 2016 -0400

    glusterd (handler): fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ic4eabed88a363e85dbc4823b250a5a7f2a00a50f
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15265
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>

Comment 170 Worker Ant 2016-09-13 06:07:56 UTC
COMMIT: http://review.gluster.org/15282 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit fc144b5c8dff6bbe71173d24026d0e41863da021
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Aug 22 13:22:03 2016 -0400

    glusterd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a/the "leak" - via the
    generated rpc/xdr headers - of pragmas that mask these warnings.
    
    However 14085 won't pass the smoke test until all the warnings are
    fixed.
    
    Change-Id: Ibf069935a630cf10a9a829f5a3194621a891b616
    BUG: 1369124
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15282
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>

Comment 171 Worker Ant 2016-09-13 10:02:05 UTC
REVIEW: http://review.gluster.org/15476 (xlators/afr: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 172 Worker Ant 2016-09-13 10:02:36 UTC
REVIEW: http://review.gluster.org/15477 (xlators/{dht,tier}: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 173 Worker Ant 2016-09-13 10:03:10 UTC
REVIEW: http://review.gluster.org/15478 (xlators/upcall: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 174 Worker Ant 2016-09-13 10:03:35 UTC
REVIEW: http://review.gluster.org/15479 (xlators/glusterd: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 175 Worker Ant 2016-09-13 10:04:00 UTC
REVIEW: http://review.gluster.org/15480 (xlators/decompounder: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 176 Worker Ant 2016-09-13 10:04:29 UTC
REVIEW: http://review.gluster.org/15481 (xlators/md-cache: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 177 Worker Ant 2016-09-13 10:05:02 UTC
REVIEW: http://review.gluster.org/15482 (xlators/protocol/client: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 178 Worker Ant 2016-09-13 10:05:32 UTC
REVIEW: http://review.gluster.org/15483 (xlators/protocol/server: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 179 Worker Ant 2016-09-13 10:29:00 UTC
REVIEW: http://review.gluster.org/15484 (xlators/upcall: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 180 Worker Ant 2016-09-13 11:09:10 UTC
REVIEW: http://review.gluster.org/15481 (xlators/md-cache: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 181 Worker Ant 2016-09-13 11:23:54 UTC
REVIEW: http://review.gluster.org/15482 (xlators/protocol/client: fix unused variable warnings/errors) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 182 Worker Ant 2016-09-13 16:38:29 UTC
REVIEW: http://review.gluster.org/15482 (xlators/protocol/client: fix unused variable warnings/errors) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 183 Worker Ant 2016-09-13 16:50:25 UTC
COMMIT: http://review.gluster.org/15484 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 7982de17f47ab2f8ddc4789a525754a56b26b325
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 13 06:28:26 2016 -0400

    xlators/upcall: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I48c0d9bbf13ccf79975dd7b35d524f6d7428ac52
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15484
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 184 Worker Ant 2016-09-13 17:04:47 UTC
COMMIT: http://review.gluster.org/15476 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 50c0790bf1c1dca7b4e69546b1f6fe71785ecf2a
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 13 05:52:09 2016 -0400

    xlators/afr: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I55d4106ac828380f3315f5a21593390905d3ab3a
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15476
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 185 Worker Ant 2016-09-13 17:12:36 UTC
COMMIT: http://review.gluster.org/15480 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 71d3c5850d33a60115e561f88072826fd81bc1a0
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 13 05:55:45 2016 -0400

    xlators/decompounder: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: Ia4d11871838b749d15dd1942d0a93594e90124e0
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15480
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 186 Worker Ant 2016-09-14 04:08:40 UTC
COMMIT: http://review.gluster.org/15477 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 0419ab2820820f1ac93e55dbf3a665824560bade
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 13 05:53:14 2016 -0400

    xlators/{dht,tier}: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I6feee863927254ae9f59013112bcc297ad09e89b
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15477
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Dan Lambright <dlambrig@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>

Comment 187 Worker Ant 2016-09-14 04:10:19 UTC
COMMIT: http://review.gluster.org/15483 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 9836ab799fbe82dc9b37e4857282b88898ce9517
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 13 05:58:10 2016 -0400

    xlators/protocol/server: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I087131cd9b5e2abffc6a67d6c61e88fb6784661a
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15483
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 188 Worker Ant 2016-09-14 06:03:27 UTC
COMMIT: http://review.gluster.org/15479 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 88f842024f018cae3fa39831212ef30c37dcf964
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 13 05:54:59 2016 -0400

    xlators/glusterd: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I7ccaa4f1cc817fa81082cee83e99a2dc7e542e17
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15479
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 189 Worker Ant 2016-09-14 06:32:43 UTC
COMMIT: http://review.gluster.org/15481 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 7e1ee2efa0b4f5c42a48282204f3d3977ab41fe2
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 13 05:56:25 2016 -0400

    xlators/md-cache: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I5904956b2033993abee0a29ff615e058a52c9ac0
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15481
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 190 Worker Ant 2016-09-14 11:37:18 UTC
REVIEW: http://review.gluster.org/15482 (protocol/client: fix unused variable warnings/errors) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 191 Worker Ant 2016-09-14 16:03:02 UTC
REVIEW: http://review.gluster.org/15482 (protocol/client: fix op_errno handling, was unused variables) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 192 Worker Ant 2016-09-14 17:00:53 UTC
REVIEW: http://review.gluster.org/15482 (protocol/client: fix op_errno handling, was unused variable) posted (#6) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 193 Worker Ant 2016-09-14 17:07:20 UTC
REVIEW: http://review.gluster.org/15482 (protocol/client: fix op_errno handling, was unused variable) posted (#7) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 194 Worker Ant 2016-09-15 06:17:33 UTC
REVIEW: http://review.gluster.org/15482 (protocol/client: fix op_errno handling, was unused variable) posted (#8) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 195 Worker Ant 2016-09-15 15:43:12 UTC
COMMIT: http://review.gluster.org/15482 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 36748550398f5e4a0bcdc603ac70a62453e86979
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 13 05:57:32 2016 -0400

    protocol/client: fix op_errno handling, was unused variable
    
    see comment in patch set one. Match the general logic flow of the
    other fop-cbks and eliminate the unused variable and its associated
    warning
    
    also see comment in patch set seven, re: correct handling of
    client_process_response(); and the associated BZ
    https://bugzilla.redhat.com/show_bug.cgi?id=1376328
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I7421ba3550770acc5564b7d6aba3290e027591f2
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15482
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 196 Worker Ant 2016-09-15 16:28:47 UTC
REVIEW: http://review.gluster.org/15513 (xlators/afr: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 197 Worker Ant 2016-09-15 16:30:32 UTC
REVIEW: http://review.gluster.org/15514 (glusterd/handler: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 198 Worker Ant 2016-09-16 01:20:20 UTC
COMMIT: http://review.gluster.org/15513 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 62d254bf7931d2ed961a5e1d78eac609f671dbbe
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Sep 15 12:27:58 2016 -0400

    xlators/afr: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I4946d460f66d3430bac8910260c0cb1b3e9ff87b
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15513
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 199 Worker Ant 2016-09-16 01:20:57 UTC
COMMIT: http://review.gluster.org/15514 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit e3494a0e043f83c39b865419034bd9ab980fd3a6
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Sep 15 12:29:53 2016 -0400

    glusterd/handler: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: Ia2742a44fcf1e16ade1f55287096dbecdb8eb9b7
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15514
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 200 Worker Ant 2016-09-16 02:53:43 UTC
REVIEW: http://review.gluster.org/15516 (libglusterfs/mem-pool: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 201 Worker Ant 2016-09-16 07:07:12 UTC
COMMIT: http://review.gluster.org/15516 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit da2aabe3334a9169b2c64cca317f58af21c2fc35
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Sep 15 22:53:09 2016 -0400

    libglusterfs/mem-pool: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I8885e4d4aa44307c240413ba6f35ecd59ab45444
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15516
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 202 Worker Ant 2016-09-16 07:50:01 UTC
REVIEW: http://review.gluster.org/15518 (cluster/ec: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 203 Worker Ant 2016-09-16 12:37:12 UTC
COMMIT: http://review.gluster.org/15518 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit f61222257af36aa157c97016fc40f58e6a436e5e
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Fri Sep 16 03:49:20 2016 -0400

    cluster/ec: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I24607fc2082c3424f876f740a88fb7d0173d322d
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15518
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 204 Worker Ant 2016-09-17 16:16:28 UTC
REVIEW: http://review.gluster.org/15522 (cli/cli-rpc-ops: fix unused variable warnings/errors) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 205 Worker Ant 2016-09-18 02:26:54 UTC
COMMIT: http://review.gluster.org/15522 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit ee1e0994994314453897d97fb28d91d50c40f40e
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Sat Sep 17 12:15:27 2016 -0400

    cli/cli-rpc-ops: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    BUG: 1369124
    Change-Id: I844e694c1797f9f6512f75fbe3620f527d1f5203
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15522
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 206 Worker Ant 2016-09-18 06:31:23 UTC
REVIEW: http://review.gluster.org/15523 (cli: fix unused variable warnings/errors) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 207 Worker Ant 2016-09-18 16:34:22 UTC
COMMIT: http://review.gluster.org/15523 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 09ce988ad6d8e0576f1fc23abf71b43ac4b7514e
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun Sep 18 08:23:23 2016 +0200

    cli: fix unused variable warnings/errors
    
    http://review.gluster.org/14085 fixes a "pragma leak" where the
    generated rpc/xdr headers have a pair of pragmas that disable these
    warnings. With the warnings disabled, many unused variables have
    crept into the code base.
    
    And 14085 won't pass its own smoke test until all these warnings are
    fixed.
    
    Change-Id: Ib78fed1fab00ba22a90f2148a343170488fa05cf
    BUG: 1369124
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/15523
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 208 Shyamsundar 2017-03-06 17:22:51 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.10.0, please open a new bug report.

glusterfs-3.10.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/gluster-users/2017-February/030119.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.